ECHO(1)

NAZWA
echo - wyświetl linijkę tekstu

SKŁADNIA
echo [-ne] [napis...]
echo [--help] [--version}

OPIS
Ta strona podręcznika systemowego opisuje program echo w wersji GNU.

Zauważ, że większość powłok ma wbudowane polecenie o tej samej nazwie, o podobnym działaniu.

echo wypisuje każdy z podanych napisów na standardowe wyjście, ze spacjami między nimi i nową linią po ostatnim.

OPCJE

-n  Nie wypisuje kończącego znaku nowej linii.

-e  Włącza interpretowanie następujących sekwencji specjalnych w napisach:
    \a  dzwonek, alarm (bell)
    \b  backspace
    \c  pomiń kończący znak nowej linii
    \f  wysuw strony (form feed)
    \n  znak nowej linii (newline)
    \r  powrót karetki (carriage return)
    \t  tabulacja poprzeczna
    \v  tabulacja pionowa
    \\  odwrotny ukośnik
    \nnn
        znak ASCII o kodzie nnn (ósemkowo). Jeżeli nnn nie jest poprawną liczbą ósemkową, to zostanie wypisane dosłownie.

-E  Wyłącza interpretowanie sekwencji specjalnych opisanych w opcji -e. (Jawne wyłączenie jest przydatne na systemach typu System V.)

Gdy GNU echo jest wywoływane z dokładnie jednym argumentem, to rozpoznawane są następujące opcje:

--help
    Wyświetla informację o stosowaniu programu i dostępnych opcjach, kończy pracę.

--version
    Wyświetla numer wersji programu i kończy pracę.

ZGŁASZANIE BŁĘDÓW
Błędy proszę zgłaszać, w jęz.ang., do <bug-sh-utils@gnu.org>.

COPYRIGHT
Copyright © 1999 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

ZOBACZ TAKŻE
printf(1), yes(1), sh-utils(1).

OD TŁUMACZA
Zaktualizowano i poszerzono wg dokumentacji Texinfo dla narzędzi powłokowych GNU wersji 2.0.